#!/bin/sh

export UNISONLOCALHOSTNAME=giovanniMBP

# UNISON=/usr/bin/unison
UNISON=/usr/bin/unison
GROWL=/usr/local/bin/growlnotify

mode="batch"
profile="main"

while [ $# -gt 0 ] ; do
case $1 in
-i) mode="interactive"
    shift 1;
    ;;
-p) profile=$2
    shift 2;
    ;;
*)  shift 1;
    ;;
esac
done


/sbin/ifconfig | grep 128.178.70 > /dev/null 2>&1
if [ $? -eq 0 ] ; then
  if [ "$mode" == "batch" ] ; then
    ofile=$(mktemp /tmp/unison.XXXX)
    $UNISON -batch -ui text $profile 2>$ofile 1>&2
    if [ $? -eq 0 ] ; then
      msg=$(grep "Synchronization complete" $ofile; grep "Nothing to do:" $ofile)
#    notify-send -u low "Unison Sync OK" "$msg"               # Linux/libnotify Version
      $GROWL --title "Unison Sync OK" -p Low -m "$msg"     # Mac/Growl Version
    else
      msg1=$(grep "Synchronization complete" $ofile)
      msg2=$(grep '<-?->' $ofile | grep "new file" | head -n 1)
      msg3=$(grep '<-?->' $ofile | grep "changed" | head -n 1)
#    notify-send -u critical -t 0 "Unison Sync Err" "$msg1 $msg2 $msg3"
      $GROWL --title "Unison Sync Err" -s -p High -m "$msg1 $msg2 $msg3\n Please run unison main and fix the problem"
    fi
    rm $ofile
  else
    $UNISON $profile
  fi
else
  $GROWL --title "Unison Sync Warning" -s -p Low -m "We are not @ EPFL. Unison sync skipped."
fi


